Set PIN
curl --request PUT \
--url https://api.pointzero.io/v1/cards/{card_id}/pin \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"encrypted_pin_block": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({encrypted_pin_block: '<string>'})
};
fetch('https://api.pointzero.io/v1/cards/{card_id}/pin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pointzero.io/v1/cards/{card_id}/pin"
payload = { "encrypted_pin_block": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"object": "pin_status",
"card_id": "card_01JZ8N2K4M",
"status": "set",
"remaining_attempts": 3
}{
"error": {
"type": "invalid_request",
"message": "The card must be active to perform this action.",
"request_id": "req_01JZ8R2Q4V",
"code": "card_not_active",
"param": "card_id"
}
}{
"error": {
"type": "invalid_request",
"message": "The card must be active to perform this action.",
"request_id": "req_01JZ8R2Q4V",
"code": "card_not_active",
"param": "card_id"
}
}{
"error": {
"type": "invalid_request",
"message": "The card must be active to perform this action.",
"request_id": "req_01JZ8R2Q4V",
"code": "card_not_active",
"param": "card_id"
}
}{
"error": {
"type": "invalid_request",
"message": "The card must be active to perform this action.",
"request_id": "req_01JZ8R2Q4V",
"code": "card_not_active",
"param": "card_id"
}
}{
"error": {
"type": "invalid_request",
"message": "The card must be active to perform this action.",
"request_id": "req_01JZ8R2Q4V",
"code": "card_not_active",
"param": "card_id"
}
}{
"error": {
"type": "invalid_request",
"message": "The card must be active to perform this action.",
"request_id": "req_01JZ8R2Q4V",
"code": "card_not_active",
"param": "card_id"
}
}{
"error": {
"type": "invalid_request",
"message": "The card must be active to perform this action.",
"request_id": "req_01JZ8R2Q4V",
"code": "card_not_active",
"param": "card_id"
}
}PIN
Set PIN
Sets or changes the PIN of a physical card.
PUT
/
cards
/
{card_id}
/
pin
Set PIN
curl --request PUT \
--url https://api.pointzero.io/v1/cards/{card_id}/pin \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"encrypted_pin_block": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({encrypted_pin_block: '<string>'})
};
fetch('https://api.pointzero.io/v1/cards/{card_id}/pin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pointzero.io/v1/cards/{card_id}/pin"
payload = { "encrypted_pin_block": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"object": "pin_status",
"card_id": "card_01JZ8N2K4M",
"status": "set",
"remaining_attempts": 3
}{
"error": {
"type": "invalid_request",
"message": "The card must be active to perform this action.",
"request_id": "req_01JZ8R2Q4V",
"code": "card_not_active",
"param": "card_id"
}
}{
"error": {
"type": "invalid_request",
"message": "The card must be active to perform this action.",
"request_id": "req_01JZ8R2Q4V",
"code": "card_not_active",
"param": "card_id"
}
}{
"error": {
"type": "invalid_request",
"message": "The card must be active to perform this action.",
"request_id": "req_01JZ8R2Q4V",
"code": "card_not_active",
"param": "card_id"
}
}{
"error": {
"type": "invalid_request",
"message": "The card must be active to perform this action.",
"request_id": "req_01JZ8R2Q4V",
"code": "card_not_active",
"param": "card_id"
}
}{
"error": {
"type": "invalid_request",
"message": "The card must be active to perform this action.",
"request_id": "req_01JZ8R2Q4V",
"code": "card_not_active",
"param": "card_id"
}
}{
"error": {
"type": "invalid_request",
"message": "The card must be active to perform this action.",
"request_id": "req_01JZ8R2Q4V",
"code": "card_not_active",
"param": "card_id"
}
}{
"error": {
"type": "invalid_request",
"message": "The card must be active to perform this action.",
"request_id": "req_01JZ8R2Q4V",
"code": "card_not_active",
"param": "card_id"
}
}Authorizations
Secret API key, e.g. sk_live_... or sk_test_....
Path Parameters
Body
application/json
ISO 9564 format 4 PIN block, encrypted with the PIN key issued to your account. Plain-text PINs are not accepted.